Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.domain
Class EPPDomainCreateResp

    java.lang.Object
      com.verisign.epp.codec.gen.EPPResponse
          com.verisign.epp.codec.domain.EPPDomainCreateResp

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPDomainCreateResp

extends EPPResponse

Represents an EPP Domain <domain:creData> response to a `EPPDomainCreateCmd`. When a <crate> command has been processed successfully, the EPP <resData> element MUSt contain a child <domain:creData> element that identifies the domain namespace and the location of the domain schema. The <domain:creData> element contains the following child elements:

- A <domain:name> element that contains the fully qualified domain name that has been created or whose validity period has been extended. Use `getName` and `setName` to get and set the element.
- A <domain.crDate> element that contains the date and time of domain object creation. Use `getCreationDate` and `setCreationDate` to get and set the element.
- An OPTIONAL <domain:exDate> element that contains the end of the domain's validity period. Use `getExpirationDate` and `setExpirationDate` to get and set the element.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  `EPPDomainCreateCmd`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPResponse
`extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

Constructor Summary
`EPPDomainCreateResp()` `EPPDomainCreateResp` default constructor.
`EPPDomainCreateResp(EPPTransId aTransId, java.lang.String aName)` `EPPDomainCreateResp` constructor that takes the required attribute values as parameters.
`EPPDomainCreateResp(EPPTransId aTransId, java.lang.String aName, java.util.Date aCreationDate)` `EPPDomainCreateResp` constructor that takes the required attribute values as parameters.
`EPPDomainCreateResp(EPPTransId aTransId, java.lang.String aName, java.util.Date aCreationDate, java.util.Date aExpirationDate)` `EPPDomainCreateResp` constructor that takes the required attribute values as parameters.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPDomainCreateResp`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPDomainCreateResp` attributes from the `aElement` DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPDomainCreateResp` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPDomainCreateResp` with this instance.
`java.util.Date` | `getCreationDate()` Get creation date.
`java.util.Date` | `getExpirationDate()` Gets the expiration date and time of the domain.
`java.lang.String` | `getName()` Gets the domain name
`java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPDomainCreateResp`.
`java.lang.String` | `getType()` Gets the EPP command type associated with `EPPDomainCreateResp`.
`void` | `setCreationDate(java.util.Date newCrDate)` Set creation date.
`void` | `setExpirationDate(java.util.Date aExpirationDate)` Sets the expiration date and time of the domain.
`void` | `setName(java.lang.String aName)` Sets the domain name.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPResponse
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPDomainCreateResp

    public EPPDomainCreateResp()

  `EPPDomainCreateResp` default constructor. Must call required setter methods before encode. the defaults include the following:
  - name is set to `null`
  - expiration date is set to `null`
  The name must be set before invoking `encode`.

### EPPDomainCreateResp

    public EPPDomainCreateResp(EPPTransId aTransId,
                               java.lang.String aName)

  `EPPDomainCreateResp` constructor that takes the required attribute values as parameters.
  The creation date must be set before invoking `encode`.

  Parameters:
    `aTransId` - Transaction Id associated with response.
    `aName` - Domain name

### EPPDomainCreateResp

    public EPPDomainCreateResp(EPPTransId aTransId,
                               java.lang.String aName,
                               java.util.Date aCreationDate)

  `EPPDomainCreateResp` constructor that takes the required attribute values as parameters.

  Parameters:
    `aTransId` - transaction Id associated with response.
    `aName` - domain name
    `aCreationDate` - creation date of the domain

### EPPDomainCreateResp

    public EPPDomainCreateResp(EPPTransId aTransId,
                               java.lang.String aName,
                               java.util.Date aCreationDate,
                               java.util.Date aExpirationDate)

  `EPPDomainCreateResp` constructor that takes the required attribute values as parameters.

  Parameters:
    `aTransId` - transaction Id associated with response.
    `aName` - domain name
    `aCreationDate` - creation date of the domain
    `aExpirationDate` - expiration date of the domain

Method Detail

### getType

    public java.lang.String getType()

  Gets the EPP command type associated with `EPPDomainCreateResp`.

  Overrides:
    `getType` in class `EPPResponse`
  Returns:
    EPPDomainCreateResp.ELM_NAME

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command Namespace associated with `EPPDomainCreateResp`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Overrides:
    `getNamespace` in class `EPPResponse`
  Returns:
    `EPPDomainMapFactory.NS`

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPDomainCreateResp` with this instance.

  Overrides:
    `equals` in class `EPPResponse`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPDomainCreateResp`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPResponse`
  Returns:
    clone of `EPPDomainCreateResp`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPResponse`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### getName

    public java.lang.String getName()

  Gets the domain name

  Returns:
    Domain Name `String` instance if defined; `null` otherwise.

### setName

    public void setName(java.lang.String aName)

  Sets the domain name.

  Parameters:
    `aName` - Domain Name

### getCreationDate

    public java.util.Date getCreationDate()

  Get creation date.

  Returns:
    Creation date and time of the domain

### setCreationDate

    public void setCreationDate(java.util.Date newCrDate)

  Set creation date.

  Parameters:
    `newCrDate` - Creation date and time of the domain

### getExpirationDate

    public java.util.Date getExpirationDate()

  Gets the expiration date and time of the domain.

  Returns:
    Expiration date and time of the domain if defined; `null` otherwise.

### setExpirationDate

    public void setExpirationDate(java.util.Date aExpirationDate)

  Sets the expiration date and time of the domain.

  Parameters:
    `aExpirationDate` - Expiration date and time of the domain.

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPDomainCreateResp` instance.

  Overrides:
    `doEncode` in class `EPPResponse`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the `EPPDomainCreateResp` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPDomainCreateResp` instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPDomainCreateResp` attributes from the `aElement` DOM Element tree.

  Overrides:
    `doDecode` in class `EPPResponse`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPDomainCreateResp` from.
  Throws:
    `EPPDecodeException` - Unable to decode `aElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.